Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
clients
Associate clients with an organization
curl --request POST \
  --url https://{tenantDomain}/api/v2/organizations/{id}/clients \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clients": [
    {
      "client_id": "<string>",
      "use_for_member_access": true
    }
  ]
}
'
[
  {
    "client_id": "<string>",
    "use_for_member_access": true,
    "client": {
      "name": "<string>",
      "app_type": "<string>",
      "logo_uri": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string<organization-id>
requis

ID of the organization.

Corps

clients
object[]
requis

List of clients to associate with the organization.

Required array length: 1 - 100 elements

Réponse

Organization clients successfully associated.

client_id
string<client-id>
requis

The identifier of the client associated with the organization.

use_for_member_access
boolean
requis

Whether this client is used for member access to the organization.

client
object

Metadata about the associated client.